Page tree

Before upgrading your Precise installation, be sure to review this topic as well as the following topics:

This document describes the procedure when upgrading to Precise 10.3.0 and 10.3.1. You must first upgrade to version 10.2 before attempting to upgrade to Precise 10.3.0, and then must be on version 10.3.0 to upgrade to 10.3.1.

If you are upgrading from an earlier Precise installation, see the relevant Upgrade Guide, or if you are installing Precise 10.3.1 on a clean system, see Installing Precise Components.

About upgrading to Precise 10.3.1

Updating to Precise 10.3.1 is simply an update to Precise 10.3.0 already installed in your environment. 

To ensure an efficient and successful upgrade, be sure to read and implement the preparations for the update as they appear in Planning the upgrade.

Once all preparations are complete, perform the update as detailed in Performing the upgrade.

About upgrading to Precise 10.3

Updating to Precise 10.3 updates the existing Precise Framework and agents, and replaces the previously existing Precise system while preserving the previously-captured monitored data. As a result, the upgrade process involves downtime of the Precise product.

To ensure an efficient and successful upgrade, be sure to read and implement the preparations for the update as they appear in Planning the upgrade.

Once all preparations are complete, perform the update as detailed in Performing the upgrade.

Discovering any integrity issues

The upgrade to version 10.3 can be done only from version 10.2.

The Version Upgrade Verifier utility is a standalone utility that you must run prior to upgrading to the latest version of Precise. The utility checks, fixes (when possible), and reports on integrity issues in the Precise infrastructure. By running and following its recommendations, it reduces the chance of integrity issues when performing the upgrade to the latest version.

The utility performs the following tasks:

  • Verifies that Precise FocalPoint is up
  • Connects to Performance Warehouse and all Oracle instances connection pools and warns if a problem occurs
  • Removes all dangling lines from INFRA DB by checking that:
    • an AppTier is connected to the environment
    • an instance is connected to an AppTier
    • an instance is connected to a server
    • an installation is connected to a server
    • the installation-instance connection is valid
    • the instance dependency connection is valid
    • an instance SLA is connected to the instance
    • the downtime calendar is connected to the downtime rule
  • Warns about any dangling instances (instances without a server or an AppTier)
  • Warns if any Precise Listener is down
  • Warns if an invalid registry file, such as Copy of or not matching file name to XML, is located
  • Checks that all framework FocalPoints are on the same server
  • Checks for unsupported instances
  • Checks that there are no pending action items
  • Checks for sufficient disk space
    • On Precise FocalPoint machine: 3GB required disk space
    • On any other Precise listener: 1GB required disk space
  • Checks for de-supported instances:
    • WEB SAP ABAP instance
    • Instances monitored using Web Client Collector
    • Microsoft .NET SQL Server monitoring
    • Oracle version 9 and below
  • Checks for de-supported installation:
    • Web static instrumentation
  • Monitor view permissions using AppTier, instance or technology scopes are no longer supported. Instead, upgrade the role to use environment scope.
  • Proxy relay cannot be used during the upgrade process
  • Backs up all action items
  • Checks for antiviruses that may cause for locked files errors
  • Checks patches that are required for pre/post upgrade
  • Checks if the PMDB tablespace folder specified in the registry exists (only for Oracle based PMDB)
  • Checks if <hsql-upgraded> tag exists in pools.xml. If it does, remove it
  • Checks for uninstalled ddml files under <Precise root>/products/dbms/files/tables_definition/ and renames any relevant file to *.uninstall
  • Checks .NET version on Windows servers
  • Checks for missing column TPTN_SHORTST_RESPONSE_TIME_MIN in tables PW_TPTN_TRAN_STATS_B and PW_TPTN_USERS_STATS_B and adds it, if necessary
  • Checks for federation dependency
  • Checks for custom alerts in federation

This utility should be executed and its recommendations should be handled prior to starting the upgrade to the latest version.

Trying to upgrade prior to successful completion of this utility will fail.

Using the Precise Upgrade Verifier Utility

  1. Download the utility.
  2. Place UpgradeTo10xxVerifier-<latest date>.zip in the Precise root directory on the MAIN Precise FocalPoint server.
  3. Extract/unzip the UpgradeTo10xxVerifier-<latest date>.zip file into the Precise root directory or extract the files, then move them to the Precise root directory.
  4. Execute the verifier:

    Windows     (Rename UpgradeTo10xxVerifier.bat.txt to UpgradeTo10xxVerifier.bat)   
                        UpgradeTo10xxVerifier.bat

    UNIX           (Make sure the UpgradeTo10xxVerifier.sh has 'execute' permissions)
                        ./UpgradeTo10xxVerifier.sh

    Log file with the output of the utility will be written to: <Precise root>\logs\infra.pre_upgrade_sanity.out.

IDERA |  Products | Purchase | Support |  Community |  Resources |  About Us  | Legal